org.hibernate.search.elasticsearch.analyzer.definition

## Interface ElasticsearchCompositeAnalysisDefinitionContext

- All Known Subinterfaces:
    ElasticsearchAnalyzerDefinitionWithTokenizerContext, ElasticsearchNormalizerDefinitionContext
  All Known Implementing Classes:
    ElasticsearchAnalyzerDefinitionContextImpl, ElasticsearchNormalizerDefinitionContextImpl

      public interface ElasticsearchCompositeAnalysisDefinitionContext

  Author:
    Yoann Rodiere
  Experimental
    The specific API of this DSL is a prototype. Please let us know what you like and what you don't like, and bear in mind that this will likely change in any future version.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchCompositeAnalysisDefinitionContext` | `withCharFilters(String... names)` Set the char filters that the normalizer will use.
    `ElasticsearchCompositeAnalysisDefinitionContext` | `withTokenFilters(String... names)` Set the token filters that the normalizer will use.

- - ### Method Detail

    - #### withCharFilters

          ElasticsearchCompositeAnalysisDefinitionContext withCharFilters(String... names)

      Set the char filters that the normalizer will use.
      Parameters:
        `names` - The name of each char filters to use, in order. There must be a corresponding char filter definition on the Elasticsearch server. This can be achieved by defining the char filter `from Hibernate Search`, by configuring the Elasticsearch server directly, or by using built-in tokenizers.
      Returns:
        This context, allowing to chain calls.

    - #### withTokenFilters

          ElasticsearchCompositeAnalysisDefinitionContext withTokenFilters(String... names)

      Set the token filters that the normalizer will use.
      Parameters:
        `names` - The name of the token filters to use, in order. There must be a corresponding token filter definition on the Elasticsearch server. This can be achieved by defining the token filter `from Hibernate Search`, by configuring the Elasticsearch server, or by using built-in tokenizers.
      Returns:
        This context, allowing to chain calls.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved